# Endpoints

- [Deposit Creation Endpoint](https://apidocs.onekeypayments.com/api-documentation/deposits-api/endpoints/deposit-creation-endpoint.md): Learn how to generate deposits
- [Notifications](https://apidocs.onekeypayments.com/api-documentation/deposits-api/endpoints/deposit-creation-endpoint/notifications.md): Learn about how the notifications for deposits works
- [Transactional Account Endpoint](https://apidocs.onekeypayments.com/api-documentation/deposits-api/endpoints/transactional-account-endpoint.md): This endpoint allows you to check your balance between your proprietary and transactional accounts, and also move balance freely from one to another.
- [Understanding the Solution](https://apidocs.onekeypayments.com/api-documentation/deposits-api/endpoints/transactional-account-endpoint/understanding-the-solution.md): This solution allows having a transactional account, and an proprietary account, managing different balances, and also a bank account check solution.
- [PCI Deposit Creation Endpoint](https://apidocs.onekeypayments.com/api-documentation/deposits-api/endpoints/pci-deposit-creation-endpoint.md): Learn how to use the PCI Deposit endpoint to create One Shot payments with credit cards
- [Deposit Status Endpoint](https://apidocs.onekeypayments.com/api-documentation/deposits-api/endpoints/deposit-status-endpoint.md): Retrieve the status of a previously created deposit
- [Payment Methods Endpoint](https://apidocs.onekeypayments.com/api-documentation/deposits-api/endpoints/payment-methods-endpoint.md): The Payment Methods endpoint allows you to retrieve the complete list of payment methods you have available for the country specified
- [Currency Exchange Endpoint](https://apidocs.onekeypayments.com/api-documentation/deposits-api/endpoints/currency-exchange-endpoint.md): The Currency Exchange endpoint allows you to get the exchange of any local currency compared against USD
- [Crypto Exchange Endpoint](https://apidocs.onekeypayments.com/api-documentation/deposits-api/endpoints/crypto-exchange-endpoint.md): The Crypto Exchange endpoint allows you to get the exchange of any cryptocurrency compared against USD or any other local currency
- [Country States Codes Endpoint](https://apidocs.onekeypayments.com/api-documentation/deposits-api/endpoints/country-states-codes-endpoint.md): Learn how to use the Country States Codes Endpoint to retrieve the list of States ISO codes in each country
- [Refund Creation Endpoint](https://apidocs.onekeypayments.com/api-documentation/deposits-api/endpoints/refund-creation-endpoint.md): Create refunds requests from a completed deposit
- [Notifications](https://apidocs.onekeypayments.com/api-documentation/deposits-api/endpoints/refund-creation-endpoint/notifications.md): Learn about how the notifications for refunds works
- [Refund Status Endpoint](https://apidocs.onekeypayments.com/api-documentation/deposits-api/endpoints/refund-status-endpoint.md): Retrieve the status of a previously created refund


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.onekeypayments.com/api-documentation/deposits-api/endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
